{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>To Do Items</title>
    <meta name="descritpion" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@200&display=swap" rel="stylesheet">
    <link rel="stylesheet" type='text/css' href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.14/semantic.min.css">
    <!--Chart js-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" integrity="sha256-Uv9BNBucvCPipKQ2NS9wYpJmi8DTOEfTA/nH2aoJALw=" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.css" integrity="sha256-aa0xaJgmK/X74WM224KMQeNQC2xYKwlAt08oZqjeF0E=" crossorigin="anonymous" />
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <style type="text/css">
        .chart-size{
            width: 400px;
            justify-content: center;
        }
    </style>
    <style>
        body {
            background-color: #f5f0f0;
            font-family: 'Nunito', sans-serif;
            padding-top: 50px;
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6, 
            {
            font-family: 'Raleway', sans-serif;
        }

        a,
        p {
            color: #4b5156;
        }


        .container{
            max-width: 550px;
            margin: auto;
            background-color: #fff;
            -webkit-box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
            box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);

        }
        .container-graph{
            max-width: 550px;
            margin: auto;
            margin-top: 5px;
            text-align:center;
            background-color: #fff;
            -webkit-box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
            box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
            
        }

        .container-weight{
            max-width: 550px;
            margin: auto;
            margin-top: 8px;
            margin-bottom: 8px;
            text-align:center;
            background-color: #fff;
            -webkit-box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
            box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
            
        }

        .container-song{
            max-width: 550px;
            margin: auto;
            margin-top: 5px;
            margin-bottom: 8px;
            text-align:center;
            background-color: #fff;
            -webkit-box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
            box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
            
        }

        .header-bar {
            display: flex;
            justify-content: space-between;
            color: #fff;
            padding: 10px;
            border-radius: 5px 5px 0 0;
            background: linear-gradient(90deg, #EEA390 0%, #EB796F 43%, #EB796F 100%);
        }

        .header-bar a {
            color:rgb(247, 247, 247);
            text-decoration: none;
        }

        .task-wrapper{
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 20px;
            background-color: #fff;
            border-top: 1px solid rgb(226, 226, 226);
        }

        .task-title {
            display: flex;
        }

        .task-title a {
            text-decoration: none;
            color: #4b5156;
            margin-left: 10px;
            font-size: 24px;
        }

        .task-complete-icon {
            height: 20px;
            width: 20px;
            background-color: rgb(105, 192, 105);
            border-radius: 50%;
        }

        .task-incomplete-icon {
            height: 20px;
            width: 20px;
            background-color: rgb(218, 218, 218);
            border-radius: 50%;
        }

        .delete-link {
            text-decoration: none;
            font-weight: 900;
            color: #cf4949;
            font-size: 22px;
            line-height: 0;
        }

        #search-add-wrapper {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
        }

        #add-link {
            color: #EB796F;
            text-decoration: none;
            font-size: 42px;
            text-shadow: 1px 1px #81413b;
        }

        input[type=text],
        input[type=password],
        textarea {
            border: 1px solid #EB796F;
            background-color: #d9dcdf;
            border-radius: 5px;
            padding: 10px;
            width: 90%;
        }

        label {
            padding-top: 10px !important;
            display: block;
        }

        .button {
            border: 1px solid #EB796F;
            background-color: #FAFAFA;
            color: #EB796F;
            padding: 10px;
            font-size: 14px;
            border-radius: 5px;
            cursor: pointer;
            text-decoration: none;
        }

        .card-body {
            padding: 20px;
        }

        footer {
            margin-top: 25px;
            height: 100px;
            width: auto;
            /* background-color: black; */
            
        }
        footer:hover {
            /* background-image: url('../../../static/images/nyanrainbow.png'); */
            background-size: contain;
            background-position: 5px;
        }


        footer:hover .parent-moving{
            
            transform: translateX(1100%);
        }


        .parent-moving{
            height: 100px;
            width: 100px;
            /* background-color: Yellow; */
            background-image: url('../../../static/images/nyan-cat-nyan.gif');
            background-size: contain;
            transition: transform 3s;
            background-position-y: -3px;
            


        }


    </style>

</head>
<body>
    <div class="container-song">
        {% block song %}

        {% endblock song %}
    </div>

    <div class="container">
        {% block content %}

        {% endblock content %}
    </div>
    <div class="container-graph">
        {% block Chart %}

        {% endblock Chart %}
    </div>
    <div class="container-weight">
        {% block weight_tracker %}

        {% endblock weight_tracker %}
    </div>


    <footer>
        {% block movingcat %}

        {% endblock movingcat %}
    </footer>

</body>
</html>
{% block scripts %}
{% endblock scripts %}